|  | Home | Documentation | saml2__KeyInfoConfirmationDataType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__KeyInfoConfirmationDataType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":KeyInfoConfirmationDataType is a complexType with complexContent restriction of XSD type "urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationDataType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__KeyInfoConfirmationDataType:
[legend]

## Public Attributes
$int | __sizeds__KeyInfo
_ds__KeyInfo ** | ds__KeyInfo

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":KeyInfoConfirmationDataType is a complexType with complexContent restriction of XSD type "urn:oasis:names:tc:SAML:2.0:assertion":SubjectConfirmationDataType.

struct saml2__KeyInfoConfirmationDataType operations:

- saml2__KeyInfoConfirmationDataType* soap_new_saml2__KeyInfoConfirmationDataType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml2__KeyInfoConfirmationDataType(struct soap*, saml2__KeyInfoConfirmationDataType*) default initialize members
- int soap_read_saml2__KeyInfoConfirmationDataType(struct soap*, saml2__KeyInfoConfirmationDataType*) deserialize from a source
- int soap_write_saml2__KeyInfoConfirmationDataType(struct soap*, saml2__KeyInfoConfirmationDataType*) serialize to a sink
- saml2__KeyInfoConfirmationDataType* soap_dup_saml2__KeyInfoConfirmationDataType(struct soap*, saml2__KeyInfoConfirmationDataType* dst, saml2__KeyInfoConfirmationDataType <em>src) returns deep copy of saml2__KeyInfoConfirmationDataType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__KeyInfoConfirmationDataType(saml2__KeyInfoConfirmationDataType) deep deletes saml2__KeyInfoConfirmationDataType data members, use only on dst after soap_dup_saml2__KeyInfoConfirmationDataType(NULL, saml2__KeyInfoConfirmationDataType *dst, saml2__KeyInfoConfirmationDataType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml2__KeyInfoConfirmationDataType::__sizeds__KeyInfo

Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo. Size of "http://www.w3.org/2000/09/xmldsig#":KeyInfo array is 1..unbounded.

_ds__KeyInfo* * saml2__KeyInfoConfirmationDataType::ds__KeyInfo

The documentation for this struct was generated from the following file:

- saml2.h